"use strict";

function ReferenceGenomeGeneMapping(javaObject) {
  this.setName(javaObject.name);
  if (javaObject.localUrl!=null) {
    this.setUrl(javaObject.localUrl);
  } else {
    this.setUrl(javaObject.sourceUrl);
  }
};

ReferenceGenomeGeneMapping.prototype.setName = function(name) {
  this._name = name;
};
ReferenceGenomeGeneMapping.prototype.setUrl = function(url) {
  this._url = url;
};
ReferenceGenomeGeneMapping.prototype.getName = function() {
  return this._name;
};
ReferenceGenomeGeneMapping.prototype.getUrl = function() {
  return this._url;
};

module.exports = ReferenceGenomeGeneMapping;

